Debian Bug report logs - #610021
nvidia-glx fails to install in parallel with nvidia-glx-legacy and fglrx-glx

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Ronny Standtke <Ronny.Standtke@gmx.net>

Date: Fri, 14 Jan 2011 22:18:01 UTC

Severity: normal

Found in version nvidia-graphics-drivers/195.36.31-6

Fixed in version nvidia-graphics-drivers/275.09.07-3

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#610021; Package nvidia-glx. (Fri, 14 Jan 2011 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 14 Jan 2011 22:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ronny Standtke <Ronny.Standtke@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-glx fails to install in parallel with nvidia-glx-legacy and fglrx-glx
Date: Fri, 14 Jan 2011 23:14:50 +0100
Package: nvidia-glx
Version: 195.36.31-6
Severity: normal

Many systems, especially systems based on Debian Live, need to be able to 
install nvidia-glx in parallel with nvidia-glx-legacy packages and fglrx-glx.

See the following discussion on the Debian Live mailing list for details:
http://lists.debian.org/debian-live/2011/01/msg00059.html

Instead of solutions developed outside of Debian, this issue should be 
resolved in the Debian packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#610021; Package nvidia-glx. (Mon, 17 Jan 2011 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 17 Jan 2011 08:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 610021@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Ronny Standtke <Ronny.Standtke@gmx.net>
Cc: 610021@bugs.debian.org
Subject: Re: Bug#610021: nvidia-glx fails to install in parallel with nvidia-glx-legacy and fglrx-glx
Date: Mon, 17 Jan 2011 00:06:49 -0800
Ronny Standtke <Ronny.Standtke@gmx.net> writes:

> Many systems, especially systems based on Debian Live, need to be able
> to install nvidia-glx in parallel with nvidia-glx-legacy packages and
> fglrx-glx.

> See the following discussion on the Debian Live mailing list for
> details:  http://lists.debian.org/debian-live/2011/01/msg00059.html

> Instead of solutions developed outside of Debian, this issue should be 
> resolved in the Debian packages.

Yeah, we're working towards that.  Hopefully for wheezy.  It's too late
for this release, but the alternatives system is now mostly in place to
allow that to happen.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#610021; Package nvidia-glx. (Mon, 24 Jan 2011 02:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 02:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 610021@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: pmatthaei@debian.org
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 02:48:24 +0100
On Sunday, 16. January 2011 20:24:17 Patrick Matthäi wrote:
> Am 16.01.2011 14:49, schrieb Ronny Standtke:
> > reopen 610022
> >
> >> Sorry, not possible
> >
> > This is not true, it is definitely possible. Several parties have already
> > developed solutions for this problem, see the following both messages of
> > the discussion on the Debian Live mailinglist mentioned in the initial
> > bug report: http://lists.debian.org/debian-live/2011/01/msg00065.html
> > http://lists.debian.org/debian-live/2011/01/msg00066.html

Let me describe how the new nvidia non-free packages work for squeeze:
(I implemented and tested these changes.)

There are three new packages libgl1-nvidia-alternatives, 
libgl1-nvidia-alternatives-ia32, libgl1-nvidia-alternatives-ia32 that do the 
diversions of OpenGL libraries (from libgl1-mesa-glx, ia32-libs, *-dev) and 
create alternatives of the diverted files. The diversions are created/removed 
by dpkg triggers whenever the diverted packages are (un-)installed.

The nvidia packages Depends: on the lib*-nvidia-alternatives package for the 
library they provide, install the "new" library in a private library 
directory (/usr/lib/nvidia) and add an alternative (with higher priority than 
the diverted library from mesa).

There are currently a lot of Conflicts defined to make sure only one of 
nvidia-graphics-drivers, nvidia-graphics-drivers-legacy-173xx or 
nvidia-graphics-drivers-legacy-96xx can be installed at a time. (legacy-71xx 
is no longer supported with current Xorg.) Most of these Conflicts should not 
be necessary since there are no more file name conflicts for the libraries.

There are file name conflicts for nvidia_drv.so (the Xorg driver module) 
libglx.so (the replaced Xorg module) and nvidia.ko (the kernel module which 
may exist for any number of distribution and custom kernels at the same time) 
and I currently have no solution how to solve these to allow installing both 
nvidia-graphics-drivers as well as one (or two) legacy versions at the same 
time. Could we rename them eventually? Alternatively (at least for the xorg 
modules) we could set up one more set of alternatives.

...

About configuring xorg for the nonfree drivers: There is a compile time option 
for Xorg that makes it read PCI ID lists from /usr/share/xserver-xorg/pci/ 
and auto-select drivers modules of corresponding file names if a matching 
device was found in the system. This flag was active for some tome in the 
Debian Xorg packages, but is no longer enabled. IIRC it was related to 
defining PCI_TXT_IDS_DIR.

The nvidia-glx* packages ship a nvidia.ids file in that directory (but it's 
not used by current xorg).


> >> So by installing fglrx it is also not possible to use
> >> another 3d accelerated gpu driver anymore.
> >
> > It is, you just need to use update-alternative.

And it does work for nvidia-glx :-)

> The xorg/mesa team has to play with us then. I also don't think, that
> using the alternative system is the right way, because:
>
> 1) building against the fglrx libgl implementation is a bad idea

Agreed. Therefore nvidia-graphics-drivers* does not provide any libGL.so 
symlink. Instead the libgl1-nvidia-alternatives package diverts the libGL.so 
link provided by libgl1-mesa-dev and creates an alternative (via triggers) 
pointing to the diverted libGL.so - so at link time always the mesa opengl 
library will be used. For picking up the correct library at package build 
time, a shlibs file redirecting to libgl1-mesa-glx is being used.
(I.e. in short - no building/packaging of opengl programs without 
libgl1-mesa-dev installed).

> 2) users may get strange problems/crashes, if they install different
> drivers (fglrx+free-drivers / nvidia+fglrx / nvidia+free drivers etc).

Packages and alternatives should cooperate and have safe defaults - and 
bug-scripts that list all possible breakers :-)

> 3) It is no alternative, it is a diversion, because it is needed!

It is alternatives. The diversions are only needed until we can convince the 
mesa maintainers to ship their library in /usr/lib/mesa and install a primary 
alternative. (I haven't tried and I'm not sure if we really want to propose 
this).

> 4) for fglrx it would just be a little step for live booting, fglrx
> still needs a xorg.conf with some options (like defaultdepth)

nvidia-glx currently needs the following minimal xorg.conf to be used (since 
there is no autodetection)

Section "Device"
        Identifier "GPU"
        Driver "nvidia"
EndSection

> I understand your position and it is a good idea to add fglrx to live
> cds, but I don't see any good solution (without ugly workarounds) to
> implement it, yet.

Something I can offer to the fglrx maintainers is to generalize the 
diversion/alternatives packages so that it supports fglrx, too. This should 
be not too difficult. But eventually we should rename the packages (something 
that contains "xorg" and "non-free" perhaps?) and move the location of the 
diversions to remove the references to nvidia.
I can also help getting the diversions migrated properly and the alternatives 
set up.

Does fglrx have some "legacy" versions, too, or does the current driver 
version still support all cards that were ever supported by fglrx?

> Maybe it would be better to install the {fglrx,nvidia}-glx package on
> probing?
>
> I am CCing the xstrike force, maybe they have got some 50 cent to this
> topic :)


One thing that probably won't be solved by the currently evolving free drivers 
(nouveau etc) is support for the GPGPU computation frameworks (CUDA, 
OpenCL) - therefore we will need the non-free drivers in the future, too. :-(


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#610021; Package nvidia-glx. (Mon, 24 Jan 2011 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 08:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 610021@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 09:24:55 +0100
Am 24.01.2011 02:48, schrieb Andreas Beckmann:
> There are three new packages libgl1-nvidia-alternatives,
> libgl1-nvidia-alternatives-ia32, libgl1-nvidia-alternatives-ia32 that do the
> diversions of OpenGL libraries (from libgl1-mesa-glx, ia32-libs, *-dev) and
> create alternatives of the diverted files. The diversions are created/removed
> by dpkg triggers whenever the diverted packages are (un-)installed.
>
> The nvidia packages Depends: on the lib*-nvidia-alternatives package for the
> library they provide, install the "new" library in a private library
> directory (/usr/lib/nvidia) and add an alternative (with higher priority than
> the diverted library from mesa).
>
> There are currently a lot of Conflicts defined to make sure only one of
> nvidia-graphics-drivers, nvidia-graphics-drivers-legacy-173xx or
> nvidia-graphics-drivers-legacy-96xx can be installed at a time. (legacy-71xx
> is no longer supported with current Xorg.) Most of these Conflicts should not
> be necessary since there are no more file name conflicts for the libraries.
>
> There are file name conflicts for nvidia_drv.so (the Xorg driver module)
> libglx.so (the replaced Xorg module) and nvidia.ko (the kernel module which
> may exist for any number of distribution and custom kernels at the same time)
> and I currently have no solution how to solve these to allow installing both
> nvidia-graphics-drivers as well as one (or two) legacy versions at the same
> time. Could we rename them eventually? Alternatively (at least for the xorg
> modules) we could set up one more set of alternatives.

Sounds like things getting complicated..

>>>> So by installing fglrx it is also not possible to use
>>>> another 3d accelerated gpu driver anymore.
>>>
>>> It is, you just need to use update-alternative.
>
> And it does work for nvidia-glx :-)

Don't forget, that it may damage your card, if you use a not supported 
combination, that is why IMHO this is broken!

>
> Something I can offer to the fglrx maintainers is to generalize the
> diversion/alternatives packages so that it supports fglrx, too. This should
> be not too difficult. But eventually we should rename the packages (something
> that contains "xorg" and "non-free" perhaps?) and move the location of the
> diversions to remove the references to nvidia.
> I can also help getting the diversions migrated properly and the alternatives
> set up.

Or providing patches?
Maybe I would agree with a fglrx package called e.g. fglrx-driver-live, 
which will do those things.

>
> Does fglrx have some "legacy" versions, too, or does the current driver
> version still support all cards that were ever supported by fglrx?

No, old cards are dropped.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#610021; Package nvidia-glx. (Mon, 24 Jan 2011 09:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 24 Jan 2011 09:39:06 GMT) Full text and rfc822 format available.

Message #25 received at 610021@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: pmatthaei@debian.org, Ronny Standtke <Ronny.Standtke@gmx.net>, 610022@bugs.debian.org, debian-x@lists.debian.org, 610021@bugs.debian.org
Subject: Re: Bug#610021/#610022: fglrx-glx fails to install in parallel with nvidia-glx
Date: Mon, 24 Jan 2011 10:36:17 +0100
On Mon, 2011-01-24 at 02:48 +0100, Andreas Beckmann wrote: 
> On Sunday, 16. January 2011 20:24:17 Patrick Matthäi wrote:
> >
> > 1) building against the fglrx libgl implementation is a bad idea
> 
> Agreed. Therefore nvidia-graphics-drivers* does not provide any libGL.so 
> symlink. Instead the libgl1-nvidia-alternatives package diverts the libGL.so 
> link provided by libgl1-mesa-dev and creates an alternative (via triggers) 
> pointing to the diverted libGL.so - so at link time always the mesa opengl 
> library will be used. For picking up the correct library at package build 
> time, a shlibs file redirecting to libgl1-mesa-glx is being used.
> (I.e. in short - no building/packaging of opengl programs without 
> libgl1-mesa-dev installed).

Thanks for that.


> One thing that probably won't be solved by the currently evolving free drivers 
> (nouveau etc) is support for the GPGPU computation frameworks (CUDA, 
> OpenCL) - therefore we will need the non-free drivers in the future, too. :-(

FWIW OpenCL support is planned for Gallium.


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 23 Jun 2011 23:36:03 GMT) Full text and rfc822 format available.

Notification sent to Ronny Standtke <Ronny.Standtke@gmx.net>:
Bug acknowledged by developer. (Thu, 23 Jun 2011 23:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 610021-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 610021-close@bugs.debian.org
Subject: Bug#610021: fixed in nvidia-graphics-drivers 275.09.07-3
Date: Thu, 23 Jun 2011 23:33:29 +0000
Source: nvidia-graphics-drivers
Source-Version: 275.09.07-3

We believe that the bug you reported is fixed in the latest version of
nvidia-graphics-drivers, which is due to be installed in the Debian FTP archive:

libcuda1_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libcuda1_275.09.07-3_i386.deb
libgl1-nvidia-alternatives_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libgl1-nvidia-alternatives_275.09.07-3_i386.deb
libgl1-nvidia-glx_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libgl1-nvidia-glx_275.09.07-3_i386.deb
libglx-nvidia-alternatives_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libglx-nvidia-alternatives_275.09.07-3_i386.deb
libnvcuvid1_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libnvcuvid1_275.09.07-3_i386.deb
libnvidia-compiler_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libnvidia-compiler_275.09.07-3_i386.deb
libnvidia-ml1_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/libnvidia-ml1_275.09.07-3_i386.deb
nvidia-alternative_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-alternative_275.09.07-3_i386.deb
nvidia-glx_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-glx_275.09.07-3_i386.deb
nvidia-graphics-drivers_275.09.07-3.debian.tar.gz
  to non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_275.09.07-3.debian.tar.gz
nvidia-graphics-drivers_275.09.07-3.dsc
  to non-free/n/nvidia-graphics-drivers/nvidia-graphics-drivers_275.09.07-3.dsc
nvidia-kernel-dkms_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-kernel-dkms_275.09.07-3_i386.deb
nvidia-kernel-source_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-kernel-source_275.09.07-3_i386.deb
nvidia-libopencl1_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-libopencl1_275.09.07-3_i386.deb
nvidia-opencl-common_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-opencl-common_275.09.07-3_i386.deb
nvidia-opencl-icd_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-opencl-icd_275.09.07-3_i386.deb
nvidia-smi_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-smi_275.09.07-3_i386.deb
nvidia-vdpau-driver_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/nvidia-vdpau-driver_275.09.07-3_i386.deb
xserver-xorg-video-nvidia_275.09.07-3_i386.deb
  to non-free/n/nvidia-graphics-drivers/xserver-xorg-video-nvidia_275.09.07-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610021@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated nvidia-graphics-drivers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 Jun 2011 16:07:52 -0700
Source: nvidia-graphics-drivers
Binary: nvidia-glx xserver-xorg-video-nvidia nvidia-glx-ia32 libgl1-nvidia-glx libgl1-nvidia-glx-ia32 nvidia-alternative nvidia-kernel-dkms nvidia-kernel-source nvidia-vdpau-driver nvidia-vdpau-driver-ia32 nvidia-smi libcuda1 libcuda1-ia32 libnvidia-compiler libnvidia-compiler-ia32 libnvcuvid1 libnvidia-ml1 nvidia-opencl-common nvidia-opencl-icd nvidia-opencl-icd-ia32 nvidia-libopencl1 nvidia-libopencl1-ia32 libgl1-nvidia-alternatives libgl1-nvidia-alternatives-ia32 libglx-nvidia-alternatives
Architecture: source i386
Version: 275.09.07-3
Distribution: experimental
Urgency: low
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 libcuda1   - NVIDIA CUDA runtime library
 libcuda1-ia32 - NVIDIA CUDA runtime library (32-bit)
 libgl1-nvidia-alternatives - transition libGL.so* diversions to glx-alternative-nvidia
 libgl1-nvidia-alternatives-ia32 - simplifies replacing MESA libGL with GPU vendor libraries (32-bit
 libgl1-nvidia-glx - NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 libgl1-nvidia-glx-ia32 - NVIDIA binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
 libglx-nvidia-alternatives - transition libgl.so diversions to glx-alternative-nvidia
 libnvcuvid1 - NVIDIA CUDA nvcuvid runtime library
 libnvidia-compiler - NVIDIA runtime compiler library
 libnvidia-compiler-ia32 - NVIDIA runtime compiler library (32-bit)
 libnvidia-ml1 - NVIDIA management library (NVML) runtime library
 nvidia-alternative - allows the selection of NVIDIA as GLX provider
 nvidia-glx - NVIDIA metapackage${nvidia:LegacyDesc}
 nvidia-glx-ia32 - NVIDIA 32-bit libraries (transitional package)
 nvidia-kernel-dkms - NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 nvidia-kernel-source - NVIDIA binary kernel module source${nvidia:LegacyDesc}
 nvidia-libopencl1 - NVIDIA OpenCL library
 nvidia-libopencl1-ia32 - NVIDIA OpenCL 32-bit library
 nvidia-opencl-common - NVIDIA OpenCL driver
 nvidia-opencl-icd - NVIDIA OpenCL ICD
 nvidia-opencl-icd-ia32 - NVIDIA OpenCL ICD (32-bit)
 nvidia-smi - NVIDIA System Management Interface
 nvidia-vdpau-driver - NVIDIA vdpau driver
 nvidia-vdpau-driver-ia32 - NVIDIA vdpau 32-bit driver
 xserver-xorg-video-nvidia - NVIDIA binary Xorg driver${nvidia:LegacyDesc}
Closes: 610021
Changes: 
 nvidia-graphics-drivers (275.09.07-3) experimental; urgency=low
 .
   [ Andreas Beckmann ]
   * Add XS-Autobuild: yes to debian/control.  See instructions in #602838.
   * Add Pre-Depends: glx-diversions to the transitional packages to ensure
     clean diversion upgrades in some corner cases.
   * Install the following files that exist in both current and legacy drivers
     into a version specific directory /usr/lib/nvidia/{current,legacy-*}:
     libGL.so.1, libglx.so, nvidia_drv.so, libnvidia-cfg.so.1,
     libXvMCNVIDIA.so.1, libXvMCNVIDIA_dynamic.so.1, nvidia-bug-report.sh.
   * The 'nvidia' alternative (set up by package nvidia-alternative{,-legacy-*})
     handles creation of appropriate symlinks in /usr/lib/nvidia.
   * The 'glx' alternative (set up by package glx-alternative-nvidia) handles
     creation of appropriate symlinks in /usr/lib, /usr/lib/xorg, etc.
   * Update bug-script to list files in the new private directory as well as in
     multiarch directories.
   * Enable multiarch build.
     - Add Multi-Arch: same/foreign/allowed.
     - Use compat level 9.
     - Work around missing multiarch support in libvdpau1.
   * Add Conflicts: lib{*}-ia32 [i386] to lib{*} to prevent mixing multiarch
     and biarch packages, e.g. lib{*}:i386 and lib{*}-ia32:amd64 on amd64.
   * Stop working around the upstream tarball layout changes after 195xx, work
     around this in the legacy packages instead.
   * Provide nvidia-glx-any, xserver-xorg-video-nvidia-any,
     libgl1-nvidia-glx-any, libgl1-nvidia-glx-ia32-any.
   * Convert the Conflicts: *-legacy-*, fglrx-* to versioned Breaks: as the
     library and driver parts should be co-installable by now.  There still can
     be only one nvidia-*-dkms package installed at a time as they all generate
     the same kernel module: nvidia.ko.  (Closes: #610021)
   * Update README.alternatives.
 .
   [ Russ Allbery ]
   * Update Lintian overrides for libnvidia-complier and libcuda1 for the
     move to multiarch paths.
Checksums-Sha1: 
 0ece783245887835707adb2590ae76f8ed5d9198 2367 nvidia-graphics-drivers_275.09.07-3.dsc
 ffd8dfdbca931e6541a4815cb7cb3ee57a58344d 86509 nvidia-graphics-drivers_275.09.07-3.debian.tar.gz
 918eae24c0d5678e852b8ff9735e2c64c37194c4 323644 nvidia-glx_275.09.07-3_i386.deb
 ac52cecbf980564e8f18929559876ec18d8fab7f 3656066 xserver-xorg-video-nvidia_275.09.07-3_i386.deb
 82b8f2235f501dd8e5b79800488f9a028dc449c5 7835794 libgl1-nvidia-glx_275.09.07-3_i386.deb
 bba72d46d3155526fba73cd054731eb8e935205c 65596 nvidia-alternative_275.09.07-3_i386.deb
 204517aa6d16c16bc7960f8cd3b4926ef12f97fa 8970014 nvidia-kernel-dkms_275.09.07-3_i386.deb
 4edfb8028537ea738acdbe35f00aeed5b55214eb 8360938 nvidia-kernel-source_275.09.07-3_i386.deb
 05d33c7ae58dbc5a7e65f58e4e697a152fa9c758 1045932 nvidia-vdpau-driver_275.09.07-3_i386.deb
 8801cc31377d9ff64c394fecb80b618f29566566 90954 nvidia-smi_275.09.07-3_i386.deb
 0d21e2b81a137a55b30b860c55cfb2ded31747ce 4494740 libcuda1_275.09.07-3_i386.deb
 25830987877fe3a4ffa30e3d28a26e6cf80ec80f 7414282 libnvidia-compiler_275.09.07-3_i386.deb
 9211418046597ed313a1dde64c13f700862261b7 1169676 libnvcuvid1_275.09.07-3_i386.deb
 facf0d2c5b6d9bd837221b36a2cbf0c16ee7ba2f 101574 libnvidia-ml1_275.09.07-3_i386.deb
 b0fe1b814b5fd27d541cf9434b5624f739299eea 64812 nvidia-opencl-common_275.09.07-3_i386.deb
 516ea6d8893ffe8dabd457ed334343d33d9058d1 64714 nvidia-opencl-icd_275.09.07-3_i386.deb
 5ca85e7046123d2363664e860cb641880df346ee 72664 nvidia-libopencl1_275.09.07-3_i386.deb
 791b61b3bd75f3d905ee40b5b5cfe7f30ecb4c32 64766 libgl1-nvidia-alternatives_275.09.07-3_i386.deb
 4dd67bdf20e8f65af1d6406e137645d7bfb8be8f 64704 libglx-nvidia-alternatives_275.09.07-3_i386.deb
Checksums-Sha256: 
 e613e1f5377227ae53c0e412f500c3873387297491e24ec75ebfa418d6d6be76 2367 nvidia-graphics-drivers_275.09.07-3.dsc
 9c3db9e2cf75b02145a4746cc789c6f6f40b0f4a61db6d549c7a5cccdd7e1c76 86509 nvidia-graphics-drivers_275.09.07-3.debian.tar.gz
 861a2868dd67c2d6db7c5e1de65d969f054009d677388bf0ec46d5b0e4e15fd3 323644 nvidia-glx_275.09.07-3_i386.deb
 d143c2d044bd8594ae66d812c89f8e4e1c805072bddc36c7bffffe782dd00e1a 3656066 xserver-xorg-video-nvidia_275.09.07-3_i386.deb
 888e20288f2fca6324b535eb2ac1a17d892e798562bfba403925b4750a322dea 7835794 libgl1-nvidia-glx_275.09.07-3_i386.deb
 a5e36534dfbf4aa2dd18da124af105f5bea09539214f839d1652fe219f6bdec4 65596 nvidia-alternative_275.09.07-3_i386.deb
 027ce11236c1db8da8268287d4991fa2897a9991cf8f009cdcbc4a9a3cf96fd6 8970014 nvidia-kernel-dkms_275.09.07-3_i386.deb
 5572f5b06557adecb1ab095e17349cd472aba9b5de1d4a6f1d9a93edd0e13524 8360938 nvidia-kernel-source_275.09.07-3_i386.deb
 d614974453e1fe90ad72c7dbeb1e2e1d846b4d39e59734eae9b96e6e93851742 1045932 nvidia-vdpau-driver_275.09.07-3_i386.deb
 67fa2201beb2b6a823cf2474a3724249baf9e5a03cba0f9609e5d40fab958258 90954 nvidia-smi_275.09.07-3_i386.deb
 48a74253abefa5bbec6b9bd7ea621c393c190a3188cbfa105bcaedd4602a9b93 4494740 libcuda1_275.09.07-3_i386.deb
 b5c8d92daa1160714131f52ea9338927212641eaa5e853e14eba3615286419c5 7414282 libnvidia-compiler_275.09.07-3_i386.deb
 3a8958b7411ea7a487499d19d7885b7395364313076326f2a0737cb2ef869f14 1169676 libnvcuvid1_275.09.07-3_i386.deb
 793aee928373853392afc29d7b332d452a5e7efae46281bcf2d3d754dd2767ee 101574 libnvidia-ml1_275.09.07-3_i386.deb
 16ea4a11e1a919fcaf202cea103b96dfac5db08b6e90ce17c95a51ce0d86607f 64812 nvidia-opencl-common_275.09.07-3_i386.deb
 fe863db0eb41d1e75d6819a14997701bce52c293c4b0a3ea8dda5fed7fed2e4d 64714 nvidia-opencl-icd_275.09.07-3_i386.deb
 79b8246503ca0b0ab149331f15dd95f0ee70ddb4082498f4d66ba1ea24f4acb9 72664 nvidia-libopencl1_275.09.07-3_i386.deb
 bcb1d6acd60771c729003fc6d98e11ee7e88aa462219c838718a9ff3c00bf62b 64766 libgl1-nvidia-alternatives_275.09.07-3_i386.deb
 1b3c052ebda722c0d6c0035891361e3cd4f0bcf4f8f093b755cc3642c2354211 64704 libglx-nvidia-alternatives_275.09.07-3_i386.deb
Files: 
 9a49530767878989407a208a4065464b 2367 non-free/libs optional nvidia-graphics-drivers_275.09.07-3.dsc
 624e2c14b52a2e6b1c101b9e26792a17 86509 non-free/libs optional nvidia-graphics-drivers_275.09.07-3.debian.tar.gz
 e53fef79b85ce265176569ac04d5fc5e 323644 non-free/x11 optional nvidia-glx_275.09.07-3_i386.deb
 c432dc96a860ef587fa5d7960adad140 3656066 non-free/x11 optional xserver-xorg-video-nvidia_275.09.07-3_i386.deb
 5de526c92f7e394f1d88c0f3e5a380b1 7835794 non-free/libs optional libgl1-nvidia-glx_275.09.07-3_i386.deb
 6f280db5aff62391309efc3738b9859b 65596 non-free/libs optional nvidia-alternative_275.09.07-3_i386.deb
 f87dfe89fc7ff83c317f074193a4b486 8970014 non-free/kernel optional nvidia-kernel-dkms_275.09.07-3_i386.deb
 0a72723409830b2ab499a3c300b245e7 8360938 non-free/kernel optional nvidia-kernel-source_275.09.07-3_i386.deb
 af69405387cb616b120ae6854c95df25 1045932 non-free/libs optional nvidia-vdpau-driver_275.09.07-3_i386.deb
 4b11e37055bbf0fedd75ffed87635283 90954 non-free/utils optional nvidia-smi_275.09.07-3_i386.deb
 122ca2ae2808a2c7a115a668b39c5bc7 4494740 non-free/libs optional libcuda1_275.09.07-3_i386.deb
 0031b733a5113294f8e6f17fc0177310 7414282 non-free/libs optional libnvidia-compiler_275.09.07-3_i386.deb
 891efc79b21e6107792f7d24a9b5f706 1169676 non-free/libs optional libnvcuvid1_275.09.07-3_i386.deb
 c29e691a2f3db34984612a522031865a 101574 non-free/libs optional libnvidia-ml1_275.09.07-3_i386.deb
 76ce170aa7866d282d95463704fa1aed 64812 non-free/libs optional nvidia-opencl-common_275.09.07-3_i386.deb
 0b7197692ee9a09f4c6882abdade7e70 64714 non-free/libs optional nvidia-opencl-icd_275.09.07-3_i386.deb
 314463d0c7ba2fec9f5415ab9fadd0c7 72664 non-free/libs optional nvidia-libopencl1_275.09.07-3_i386.deb
 5a58ecd930cbe7372974d93f4ee5e958 64766 non-free/oldlibs optional libgl1-nvidia-alternatives_275.09.07-3_i386.deb
 0c75da48e8ee636b1a6e04ce2e80be5b 64704 non-free/oldlibs optional libglx-nvidia-alternatives_275.09.07-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJOA8mcAAoJEH2AMVxXNt51wJIIAIPgZLlQWut9eGOPAVL93KlS
twPhocbRI3bxzpy1tqJyiNEEzoj1Qol+N5PsIwHhtS0/3pfQa6xzzATlEyHnQTjz
zAsv3YwQ58rwTKoDawTuuRKCTaZv7zJXEp9fzy2KE8MoSwwZvmX+71QmKbkZyWas
TLjvaRCJtUniqc/o7QU+M/jKyEANlosufuvAHzKUBc2j2za9CLcc0m5jhJD8TO9C
MrJ9kAqgznKsz9mcF6GpwkRbzXqni5y1qjXIRbdcH4EgHlgii4GXFBiY0Tq8XjyM
aRp+Jrtyrc7civkB560QhNvULxGhudvl8gEdyUk1MkXnouoPPWEqkufR5FBNoXA=
=r+Nb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jul 2011 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:11:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.